# $Revision: 1.236.2.11 $, $Date: 2006/12/21 11:06:48 $
# TODO:
# - package contribs?
# - complete & validate descriptions
#   /usr/share/man/man5/slapd-tcl.5.gz
#   /usr/share/man/man5/slapo-chain.5.gz
#
# Conditional build:
# ldbm_type	- set to needed value (btree<default> or hash)
%bcond_without	odbc	# disable sql backend
%bcond_without	perl	# disable perl backend
%bcond_without	sasl 	# don't build cyrus sasl support
%bcond_without	slp	# disable SLP support
#
Summary:	Lightweight Directory Access Protocol clients/servers
Summary(es):	Clientes y servidor para LDAP
Summary(pl):	Klienci Lightweight Directory Access Protocol
Summary(pt_BR):	Clientes e servidor para LDAP
Summary(ru):	  LDAP
Summary(uk):	 ̦Ԧ LDAP
Name:		openldap
Version:	2.3.31
Release:	1
License:	OpenLDAP Public License
Group:		Networking/Daemons
Source0:	ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{version}.tgz
# Source0-md5:	fd8aa874590661c0fbc53ef3bf80c847
Source1:	ldap.init
Source2:	%{name}.sysconfig
Source3:	ldap.conf
Patch0:		%{name}-make_man_link.patch
Patch1:		%{name}-conffile.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-fast.patch
Patch4:		%{name}-cldap.patch
Patch5:		%{name}-ldapi_FHS.patch
Patch6:		%{name}-install.patch
Patch7:		%{name}-backend_libs.patch
Patch8:		%{name}-perl.patch
Patch9:		%{name}-pic.patch
Patch10:	%{name}-ltinstall-mode.patch
Patch11:	%{name}-whowhere.patch
Patch12:	%{name}-ldaprc.patch
Patch13:	%{name}-setugid.patch
Patch14:	%{name}-nosql.patch
#Patch12:	%{name}-sendbuf.patch
URL:		http://www.openldap.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.1.15}
BuildRequires:	db-devel >= 4.2
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwrap-devel
%{?with_slp:BuildRequires:	openslp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_perl:BuildRequires:	perl-devel}
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_odbc:BuildRequires:	unixODBC-devel}
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	openldap-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package.

The package includes:
- libraries implementing the LDAP protocol,
- utilities, tools, and sample clients.

%description -l es
Cliente y servidor LDAP.

%description -l pl
Serwery i klienci LDAP jak i interfejsy do innych protokow. Wiedz,
e pakiet ten nie zawiera interfejsu slapd to X.500 i dlatego nie
wymaga pakietu ISODE.

Pakiet ten zawiera:
- biblioteki implementujce obsug protokou LDAP,
- dodatkowe narzdzia i przykadowe aplikacje klienckie LDAP.

%description -l pt_BR
OpenLDAP  um conjunto de ferramentas e aplicaes para construir um
servidor de diretrios.

O conjunto completo contm:
- bibliotecas implementando o protocolo LDAP utilitrios,
- ferramentas e clientes.

Este pacote contm apenas as bibliotecas usadas por alguns programas.
Voc provavelmente tambm vai querer instalar o pacote
openldap-client.

%description -l ru
 ,   LDAP.

%description -l uk
 ̦Ԧ,    LDAP.

%package libs
Summary:	LDAP shared libraries
Summary(pl):	Biblioteki wspdzielone LDAP
Group:		Libraries
%{?with_sasl:Requires:	cyrus-sasl >= 2.1.15}
Conflicts:	openldap < 2.2.6-0.3

%description libs
LDAP shared libraries.

%description libs -l pl
Biblioteki wspdzielone LDAP.

%package devel
Summary:	LDAP development files
Summary(es):	Bibliotecas de desarrollo y archivos de inclusin para OpenLDAP
Summary(pl):	Pliki dla developerw LDAP
Summary(pt_BR):	Bibliotecas de desenvolvimento e arquivos de incluso para o OpenLDAP
Summary(ru):	    LDAP
Summary(uk):	    LDAP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_sasl:Requires:	cyrus-sasl-devel >= 2.1.15}
Requires:	openssl-devel >= 0.9.7c

%description devel
Header files and libraries for developing applications that use LDAP.

%description devel -l es
Bibliotecas de desarrollo y archivos de inclusin de OpenLDAP.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do rozwoju aplikacji
uywajcych LDAP.

%description devel -l pt_BR
Bibliotecas de desenvolvimento e arquivos de incluso do OpenLDAP.
Instale este pacote se voc for trabalhar com desenvolvimento em LDAP
ou desejar compilar algum programa que utilize LDAP.

%description devel -l ru
  ,    ,
 LDAP.

%description devel -l uk
  ¦̦, ȦΦ   , 
 LDAP.

%package static
Summary:	LDAP static libraries
Summary(pl):	Biblioteki statyczne LDAP
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com openldap
Summary(ru):	  LDAP
Summary(uk):	Φ ¦̦ LDAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package includes the development libraries and header files
needed for compilation of applications that are making use of the LDAP
internals. Install this package only if you plan to develop or will
need to compile cutomized LDAP clients.

%description static -l pl
Biblioteki statyczne LDAP.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com openldap.

%description static -l ru
 ,    ,
 LDAP.

%description static -l uk
Φ ¦̦, ȦΦ   ,  
LDAP.

%package backend-bdb
Summary:	BDB backend to OpenLDAP server
Summary(pl):	Backend BDB do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-bdb
BDB backend to slapd, the OpenLDAP server.

%description backend-bdb -l pl
Backend BDB do slapd - serwera OpenLDAP.

%package backend-dnssrv
Summary:	DNS SRV backend to OpenLDAP server
Summary(pl):	Backend DNS SRV do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-dnssrv
DNS SRV backend to slapd, the OpenLDAP server.

%description backend-dnssrv -l pl
Backend DNS SRV do slapd - serwera OpenLDAP.

%package backend-hdb
Summary:	HDB (Hierarchical DB) backend to OpenLDAP server
Summary(pl):	Backend HDB (Hierarchical DB) do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-hdb
HDB (Hierarchical DB) backend to slapd, the OpenLDAP server.

%description backend-hdb -l pl
Backend HDB (Hierarchical DB) do slapd - serwera OpenLDAP.

%package backend-ldap
Summary:	LDAP backend to OpenLDAP server
Summary(pl):	Backend LDAP do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-ldap
LDAP backend to slapd, the OpenLDAP server.

%description backend-ldap -l pl
Backend LDAP do slapd - serwera OpenLDAP.

%package backend-ldbm
Summary:	LDBM backend to OpenLDAP server
Summary(pl):	Backend LDBM do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-ldbm
LDBM backend to slapd, the OpenLDAP server.

%description backend-ldbm -l pl
Backend LDBM do slapd - serwera OpenLDAP.

%package backend-meta
Summary:	Meta backend to OpenLDAP server
Summary(pl):	Backend Meta do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-meta
Meta backend to slapd, the OpenLDAP server.

%description backend-meta -l pl
Backend Meta do slapd - serwera OpenLDAP.

%package backend-monitor
Summary:	Monitor backend to OpenLDAP server
Summary(pl):	Backend Monitor do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-monitor
Meta backend to slapd, the OpenLDAP server.

%description backend-monitor -l pl
Backend Meta do slapd - serwera OpenLDAP.

%package backend-passwd
Summary:	/etc/passwd backend to OpenLDAP server
Summary(pl):	Backend /etc/passwd do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-passwd
/etc/passwd backend to slapd, the OpenLDAP server.

%description backend-passwd -l pl
Backend /etc/passwd do slapd - serwera OpenLDAP.

%package backend-perl
Summary:	Perl backend to OpenLDAP server
Summary(pl):	Backend Perl do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')

%description backend-perl
Perl backend to slapd, the OpenLDAP server.

%description backend-perl -l pl
Backend Perl do slapd - serwera OpenLDAP.

%package backend-relay
Summary:	Relay backend to OpenLDAP server
Summary(pl):	Backend przekazujcy do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-overlay-rwm = %{version}-%{release}
Requires:	%{name}-servers = %{version}-%{release}

%description backend-relay
The primary purpose of this slapd(8) backend is to map a naming
context defined in a database running in the same slapd(8) instance
into a virtual naming context, with attributeType and objectClass
manipulation, if required. It requires the rwm overlay.

%description backend-relay -l pl
Gwnym celem tego backendu slapd(8) jest odwzorowywanie kontekstw
nazw zdefiniowanych w bazie danych dziaajcej w tej samej instancji
slapd(8) na konteksty nazw wirtualnych z modyfikowaniem attributeType
i objectClass w razie potrzeby. Wymaga nakadki rwm.

%package backend-shell
Summary:	Shell backend to OpenLDAP server
Summary(pl):	Backend Shell do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-shell
Shell backend to slapd, the OpenLDAP server.

%description backend-shell -l pl
Backend Shell do slapd - serwera OpenLDAP.

%package backend-sql
Summary:	SQL backend to OpenLDAP server
Summary(pl):	Backend SQL do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-sql
SQL backend to slapd, the OpenLDAP server.

%description backend-sql -l pl
Backend SQL do slapd - serwera OpenLDAP.

%package overlay-accesslog
Summary:	Accesslog overlay for OpenLDAP server
Summary(pl):	Nakadka accesslog dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-accesslog
Accesslog overlay for OpenLDAP server.

%description overlay-accesslog -l pl
Nakadka accesslog dla serwera OpenLDAP.

%package overlay-auditlog
Summary:	Auditlog overlay for OpenLDAP server
Summary(pl):	Nakadka auditog dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-auditlog
The Audit Logging overlay can be used to record all changes on a given
backend database to a specified log file. Changes are logged as
standard LDIF, with an additional comment header giving the timestamp
of the change and the identity of the user making the change.

%description overlay-auditlog -l pl
Nakadka Audit Logging moe by uywana do zapisywania wszystkich
zmian w danej bazie danych do podanego pliki loga. Zmiany s logowane
jako standardowy LDIF z dodatkowym nagwkiem komentarza podajcym
czas zmiany i identyfikujcym uytkownika, ktry dokona zmiany.

%package overlay-denyop
Summary:	Denyop overlay for OpenLDAP server
Summary(pl):	Nakadka zabraniajca wykonania operacji dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-denyop
This overlay provides a quick'n'easy way to deny selected operations
for a database whose backend implements the operations. It is intended
to be less expensive than ACLs because its evaluation occurs before
any backend specific operation is actually even initiated.

%description overlay-denyop -l pl
Ta nakadka udostpnia szybki i atwy sposb na blokowanie wybranych
operacji dla bazy danych, ktrej backend implementuje te operacje. Ma
by mniej kosztowna ni ACL-e, poniewa obliczenia zachodz przed
rozpoczciem jakichkolwiek operacji specyficznych dla backendu.

%package overlay-dyngroup
Summary:	Dyngroup overlay for OpenLDAP server
Summary(pl):	Nakadka dynamicznych grup dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-dyngroup
This overlay extends the Compare operation to detect members of a
dynamic group. It has no effect on any other operations. It must be
configured with a pair of attributes to trigger on, e.g. attrpair
member memberURL will cause compares on "member" to trigger a compare
on "memberURL".

%description overlay-dyngroup -l pl
Ta nakadka rozszerza operacj Compare, aby wykrywaa czonikw grupy
dynamicznej. Nie wpywa na adne inne operacje. Musi by
skonfigurowana par atrybutw, ktre maj j wyzwala, np. attrpair
member memberURL spowoduje, e porwnania na "memberu" wyzwol
porwnania na "memberURL".

%package overlay-dynlist
Summary:	Dynnamic list overlay for OpenLDAP server
Summary(pl):	Nakadka dynamicznych list dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-dynlist
The dynlist overlay allows expansion of dynamic groups and more.

%description overlay-dynlist -l pl
Nakadka dynlist pozwala na rozwijanie dynamicznych grup i inne
operacje.

%package overlay-lastmod
Summary:	Last Modification overlay for OpenLDAP server
Summary(pl):	Nakadka Last Modification dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-lastmod
The lastmod overlay creates a service entry rooted at the suffix of
the database it's stacked onto, which holds the DN, the modification
type, the modifiersName and the modifyTimestamp of the last write
operation performed on that database.

%description overlay-lastmod -l pl
Nakadka lastmod tworzy wpis usugi zaczynajcy si od przyrostka bazy
danych, na ktrej jest oparty, trzymajcy DN, rodzaj modyfikacji,
modifiersName i modifyTimestamp dla ostatniej operacji zapisu
wykonywanej na tej bazie.

%package overlay-pcache
Summary:	Proxy cache overlay for OpenLDAP server
Summary(pl):	Nakadka proxy cache dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-pcache
The proxy cache overlay allows caching of LDAP search requests
(queries) in a local database.

%description overlay-pcache -l pl
Nakadka proxy cache pozwalajca buforowa zapytania LDAP w lokalnej
bazie.

%package overlay-ppolicy
Summary:	Password Policy overlay for OpenLDAP server
Summary(pl):	Nakadka do polityki hase dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-ppolicy
The ppolicy overlay is an implementation of the most recent IETF
Password Policy proposal for LDAP. When instantiated, it intercepts,
decodes and applies specific password policy controls to overall use
of a backend database, changes to user password fields, etc.

%description overlay-ppolicy -l pl
Nakadka ppolicy jest implementacj najnowszej propozycji IETF
Password Policy dla LDAP. Kiedy zostanie uyta, przechwytuje, dekoduje
i aplikuje okrelone regulacje polityki hase do oglnego uywania
bazy danych, zmiany pl hase uytkownikw itp.

%package overlay-refint
Summary:	Referential Integrity overlay for OpenLDAP server
Summary(pl):	Nakadka sprawdzaj integralno odwoa dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-refint
The Referential Integrity overlay can be used to maintain the
cohesiveness of a schema which utilizes reference attributes.

%description overlay-refint -l pl
Nakadka Referential Integrity moe by uywana do utrzymywania
spjnoci schematu wykorzystujcego atrybuty referencji.

%package overlay-retcode
Summary:	Return code overlay for OpenLDAP server
Summary(pl):	Nakadka obsugujca zwracane wartoci dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-retcode
The retcode overlay to slapd is useful to test the behavior of clients
when server-generated erroneous and/or unusual responses occur, e.g.
error codes, referrals, excessive response times and so on.

%description overlay-retcode -l pl
Nakadka retcode dla slapd jest przydatna do sprawdzania zachowania
klientw w przypadku wystpienia wygenerowanych przez serwer bdnych
i/lub nienormalnych odpowiedzi, np. kodw bdw, odniesie, dugich
czasw odpowiedzi itp.

%package overlay-rwm
Summary:	Rewrite/remap overlay for OpenLDAP server
Summary(pl):	Nakadka mapujca dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-rwm
The rwm overlay performs basic DN/data rewrite and
object-Class/attributeType mapping. Its usage is mostly intended to
provide virtual views of existing data either remotely, in conjunction
with the proxy backend or locally, in conjunction with the relay
backend.

%description overlay-rwm -l pl
Nakadka rwm wykonuje podstawowe przepisywanie DN na dane i
odwzorowywanie klas obiektw na attributeType. Jej zastosowania to
przede wszystkim dostarczanie wirtualnych widokw danych istniejcych
albo zdalnie, w poczeniu z backendem proxy, albo lokalnie, w
poczeniu z backendem relay.

%package overlay-syncprov
Summary:	Syncrepl Provider overlay for OpenLDAP server
Summary(pl):	Nakadka Syncrepl Provider dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-syncprov
The Syncrepl Provider overlay implements the provider-side support for
syncrepl replication, including persistent search functionality. The
overlay can be used with any backend that maintains entryCSN and
entryUUID attributes for its entries. It also creates a contextCSN
attribute in the root entry of the database.

%description overlay-syncprov -l pl
Nakadka SyncRepl Provider implementuje obsug replikacji syncrepl po
stronie dostarczyciela, wcznie z cigoci funkcjonalnoci
wyszukiwania. Nakadka moe by uywana z dowolnym backendem
utrzymujcym atrybuty entryCSN i entryUUID dla swoich wpisw. Tworzy
take atrybut contextCSN w gwnym elemencie bazy.

%package overlay-translucent
Summary:	Translucent Proxy overlay for OpenLDAP server
Summary(pl):	Nakadka Translucent Proxy dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-translucent
The Translucent Proxy overlay can be used with a backend database such
as slapd-bdb(5) to create a "translucent proxy". Entries retrieved
from a remote LDAP server may have some or all attributes overridden,
or new attributes added, by entries in the local database before being
presented to the client.

%description overlay-translucent -l pl
Nakadka Translucent Proxy moe by uywana wraz z baz danych tak
jak slapd-bdb(5) do stworzenia "przezroczystego proxy". Wpisy
otrzymane ze zdalnego serwera LDAP mog mie nadpisane niektre lub
wszystkie atrybuty, albo dodane nowe atrybuty poprzez wpisy w lokalnej
bazie danych przed przekazaniem do klienta.

%package overlay-unique
Summary:	Uniqueness overlay for OpenLDAP server
Summary(pl):	Nakadka sprawdzajca unikatowo dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-unique
The Attribute Uniqueness overlay can be used to enforce the uniqueness
of some or all attributes within a subtree.

%description overlay-unique -l pl
Nakadka sprawdzajca unikatowo suy do wymuszania unikatowoci
atrybutw w poddrzewie LDAP.

%package overlay-valsort
Summary:	Valsort overlay for OpenLDAP server
Summary(pl):	Nakadka valsort dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-valsort
This overlay sorts the values of multi-valued attributes when
returning them in a search response.

%description overlay-valsort -l pl
Ta nakadka sortuje wartoci wielowartociowych atrybutw przy
zwracaniu ich jako odpowied przy wyszukiwaniu.

%package servers
Summary:	LDAP servers
Summary(pl):	Serwery LDAP
Summary(pt_BR):	Arquivos para o servidor OpenLDAP
Summary(ru):	 LDAP
Summary(uk):	 LDAP
Group:		Networking/Daemons
Requires(post):	/usr/sbin/usermod
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getent
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	textutils
Requires:	%{name} = %{version}-%{release}
Requires:	/sbin/chkconfig
Requires:	rc-scripts
Provides:	group(slapd)
Provides:	user(slapd)
Obsoletes:	openldap-overlay-glue
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2

%description servers
The openldap-server package has the slapd daemon which is responsible
for handling the database and client queries.

The package includes:
- stand-alone LDAP server (slapd),
- stand-alone LDAP replication server (slurpd)

Install this package if you want to setup an OpenLDAP-2.x server.

You will also need some backend for server, so install some
openldap-backend package. The bdb backend is recommended.

%description servers -l pl
Serwery (demony) ktre przychodz z LDAPem.

Pakiet ten zawiera:
- serwer LDAP (slapd)
- serwer replikacji bazy LDAP (slurpd)

Zainstaluj ten pakiet jeeli potrzebujesz server OpenLDAP-2.x.

Potrzebny te jest jaki backend dla serwera, dlatego naley
zainstalowa odpowiedni pakiet openldap-backend. Zalecany jest backend
bdb.

%description servers -l pt_BR
O pacote openldap-server contm o servidor slapd que  responsvel por
receber as requisies dos clientes e por manter a base de dados do
diretrio.

O conjunto completo contm:
- servidor LDAP (slapd),
- servidor de replicao (slurpd)

Instale este pacote se voc desejar executar um servidor OpenLDAP.

%description servers -l ru
 (),   LDAP.

%description servers -l uk
 (),    LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	ac_cv_header_sys_epoll_h=no \
	--enable-syslog \
	--enable-referrals \
	--enable-ipv6 \
	--enable-local \
	--with-readline \
	--with-threads \
	--with-tls \
	--with-yielding-select \
	--enable-aci \
	--enable-crypt \
	--enable-lmpasswd \
%if %{with sasl}
	--with-cyrus-sasl \
	--enable-spasswd \
%else
	--without-cyrus-sasl \
%endif
	--enable-modules \
	--enable-phonetic \
	--enable-rewrite \
	--enable-rlookups \
%if %{with slp}
	--enable-slp \
%else
	--disable-slp \
%endif
	--enable-wrappers \
	--enable-bdb=mod \
	--enable-dnssrv=mod \
	--enable-hdb=mod \
	--enable-ldap=mod \
	--enable-overlays=mod \
	--enable-ldbm=mod \
	--enable-ldbm-api=berkeley \
	--enable-ldbm-type%{?ldbm_type:%{ldbm_type}}%{!?ldbm_type:btree} \
	--enable-meta=mod \
	--enable-monitor=mod \
	--enable-null \
	--enable-passwd=mod \
	--enable-relay=mod \
%if %{with perl}
	--enable-perl=mod \
%endif
	--enable-shell=mod \
%if %{with odbc}
	--enable-sql=mod \
%endif
	--enable-slurpd \
	--enable-dynamic

%{__make} -j1 depend
%{__make}
%{__make} -C servers/slapd/overlays syncprov.la

rm -f doc/rfc/rfc*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},/var/lib/openldap-data} \
	$RPM_BUILD_ROOT/var/run/slapd \
	$RPM_BUILD_ROOT%{_datadir}/openldap/schema

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/openldap/*.a

install servers/slapd/overlays/.libs/syncprov{.la,*.so*} $RPM_BUILD_ROOT%{_libdir}/openldap

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ldap

install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf

echo "localhost" > $RPM_BUILD_ROOT%{_sysconfdir}/openldap/ldapserver

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/openldap/{*.{default,example},ldap.conf,schema/README}

# Standard schemas should not be changed by users
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/* $RPM_BUILD_ROOT%{_datadir}/openldap/schema

# create slapd.access.conf
echo "# This is a good place to put slapd access-control directives" > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/slapd.access.conf

# create local.schema
echo "# This is a good place to put your schema definitions " > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/local.schema

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig

%pre servers
%groupadd -P %{name}-servers -g 93 slapd
%useradd -P %{name}-servers -u 93 -s /bin/false -g slapd -c "OpenLDAP server" -d /var/lib/openldap-data slapd

%post servers
/sbin/chkconfig --add ldap

# minimizing restarts logics. we restart server:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of module (post: $1 == 1)
# 2. uninstall of module (postun: $1 == 0)
#
# the strict internal deps between modules and
# server package are very important for all this to work.

%posttrans servers
%service ldap restart "OpenLDAP server"

%preun servers
if [ "$1" = "0" ] ; then
	%service ldap stop
	/sbin/chkconfig --del ldap || :
fi

%postun servers
if [ "$1" = "0" ]; then
	%userremove slapd
	%groupremove slapd
fi

%define	ldap_module_add() \
%{__sed} -i -e 's/^#[[:blank:]]*moduleload[[:blank:]]\\+%1[[:blank:]]*$/moduleload	%1/' %{_sysconfdir}/openldap/slapd.conf \
if [ "$1" = "1" ]; then \
	%service ldap restart "OpenLDAP server" \
fi \
%{nil}

%define	ldap_module_remove() \
if [ "$1" = "0" ]; then \
	%{__sed} -i -e 's/^[[:blank:]]*moduleload[[:blank:]]\\+%1[[:blank:]]*$/# moduleload	%1/' %{_sysconfdir}/openldap/slapd.conf \
	%service ldap restart "OpenLDAP server" \
fi \
%{nil}

%post backend-bdb
%ldap_module_add back_bdb.la

%preun backend-bdb
%ldap_module_remove back_bdb.la

%post backend-dnssrv
%ldap_module_add back_dnssrv.la

%preun backend-dnssrv
%ldap_module_remove back_dnssrv.la

%post backend-hdb
%ldap_module_add back_hdb.la

%preun backend-hdb
%ldap_module_remove back_hdb.la

%post backend-ldap
%ldap_module_add back_ldap.la

%preun backend-ldap
%ldap_module_remove back_ldap.la

%post backend-ldbm
%ldap_module_add back_ldbm.la

%preun backend-ldbm
%ldap_module_remove back_ldbm.la

%post backend-meta
%ldap_module_add back_meta.la

%preun backend-meta
%ldap_module_remove back_meta.la

%post backend-monitor
%ldap_module_add back_monitor.la

%preun backend-monitor
%ldap_module_remove back_monitor.la

%post backend-passwd
%ldap_module_add back_passwd.la

%preun backend-passwd
%ldap_module_remove back_passwd.la

%post backend-perl
%ldap_module_add back_perl.la

%preun backend-perl
%ldap_module_remove back_perl.la

%post backend-relay
%ldap_module_add back_relay.la

%preun backend-relay
%ldap_module_remove back_relay.la

%post backend-shell
%ldap_module_add back_shell.la

%preun backend-shell
%ldap_module_remove back_shell.la

%post backend-sql
%ldap_module_add back_sql.la

%preun backend-sql
%ldap_module_remove back_sql.la

%post overlay-pcache
%ldap_module_add pcache.la

%preun overlay-pcache
%ldap_module_remove pcache.la

%post overlay-accesslog
%ldap_module_add accesslog.la

%preun overlay-accesslog
%ldap_module_remove accesslog.la

%post overlay-auditlog
%ldap_module_add auditlog.la

%preun overlay-auditlog
%ldap_module_remove auditlog.la

%post overlay-denyop
%ldap_module_add denyop.la

%preun overlay-denyop
%ldap_module_remove denyop.la

%post overlay-dyngroup
%ldap_module_add dyngroup.la

%preun overlay-dyngroup
%ldap_module_remove dyngroup.la

%post overlay-dynlist
%ldap_module_add dynlist.la

%preun overlay-dynlist
%ldap_module_remove dynlist.la

%post overlay-lastmod
%ldap_module_add lastmod.la

%preun overlay-lastmod
%ldap_module_remove lastmod.la

%post overlay-ppolicy
%ldap_module_add ppolicy.la

%preun overlay-ppolicy
%ldap_module_remove ppolicy.la

%post overlay-refint
%ldap_module_add refint.la

%preun overlay-refint
%ldap_module_remove refint.la

%post overlay-retcode
%ldap_module_add retcode.la

%preun overlay-retcode
%ldap_module_remove retcode.la

%post overlay-rwm
%ldap_module_add rwm.la

%preun overlay-rwm
%ldap_module_remove rwm.la

%post overlay-syncprov
%ldap_module_add syncprov.la

%preun overlay-syncprov
%ldap_module_remove syncprov.la

%post overlay-translucent
%ldap_module_add translucent.la

%preun overlay-translucent
%ldap_module_remove translucent.la

%post overlay-unique
%ldap_module_add unique.la

%preun overlay-unique
%ldap_module_remove unique.la

%post overlay-valsort
%ldap_module_add valsort.la

%preun overlay-valsort
%ldap_module_remove valsort.la

%triggerpostun servers -- openldap-servers < 2.1.12
if [ "`/usr/bin/getent passwd slapd | cut -d: -f6`" = "/var/lib/openldap-ldbm" ]; then
	/usr/sbin/usermod -d /var/lib/openldap-data slapd
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCEMENT CHANGES COPYRIGHT README LICENSE
%doc doc/{drafts,rfc}
%dir %{_sysconfdir}/openldap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/ldapserver
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ldap.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/openldap
%{_mandir}/man1/ldap*.1*
%{_mandir}/man5/ldap.conf.5*
%{_mandir}/man5/ldif.5*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files backend-bdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_bdb*.so*
%{_libdir}/openldap/back_bdb.la
%{_mandir}/man5/slapd-bdb.5*

%files backend-dnssrv
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_dnssrv*.so*
%{_libdir}/openldap/back_dnssrv.la
%{_mandir}/man5/slapd-dnssrv.5*

%files backend-hdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_hdb*.so*
%{_libdir}/openldap/back_hdb.la
%{_mandir}/man5/slapd-hdb.5*

%files backend-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_ldap*.so*
%{_libdir}/openldap/back_ldap.la
%{_mandir}/man5/slapd-ldap.5*

%files backend-ldbm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_ldbm*.so*
%{_libdir}/openldap/back_ldbm.la
%{_mandir}/man5/slapd-ldbm.5*

%files backend-meta
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_meta*.so*
%{_libdir}/openldap/back_meta.la
%{_mandir}/man5/slapd-meta.5*

%files backend-monitor
%defattr(644,root,root,755)
%doc servers/slapd/back-monitor/README
%attr(755,root,root) %{_libdir}/openldap/back_monitor*.so*
%{_libdir}/openldap/back_monitor.la
%{_mandir}/man5/slapd-monitor.5*

%files backend-passwd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_passwd*.so*
%{_libdir}/openldap/back_passwd.la
%{_mandir}/man5/slapd-passwd.5*

%if %{with perl}
%files backend-perl
%defattr(644,root,root,755)
%doc servers/slapd/back-perl/*.pm
%attr(755,root,root) %{_libdir}/openldap/back_perl*.so*
%{_libdir}/openldap/back_perl.la
%{_mandir}/man5/slapd-perl.5*
%endif

%files backend-relay
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_relay*.so*
%{_libdir}/openldap/back_relay.la
%{_mandir}/man5/slapd-relay.5*

%files backend-shell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_shell*.so*
%{_libdir}/openldap/back_shell.la
%{_mandir}/man5/slapd-shell.5*

%if %{with odbc}
%files backend-sql
%defattr(644,root,root,755)
%doc servers/slapd/back-sql/docs/*
%doc servers/slapd/back-sql/rdbms_depend
%attr(755,root,root) %{_libdir}/openldap/back_sql*.so*
%{_libdir}/openldap/back_sql.la
%{_mandir}/man5/slapd-sql.5*
%endif

%files overlay-accesslog
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/accesslog*.so*
%{_libdir}/openldap/accesslog.la
%{_mandir}/man5/slapo-accesslog.5*

%files overlay-auditlog
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/auditlog*.so*
%{_libdir}/openldap/auditlog.la
%{_mandir}/man5/slapo-auditlog.5*

%files overlay-denyop
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/denyop*.so*
%{_libdir}/openldap/denyop.la

%files overlay-dyngroup
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/dyngroup*.so*
%{_libdir}/openldap/dyngroup.la

%files overlay-dynlist
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/dynlist*.so*
%{_libdir}/openldap/dynlist.la
%{_mandir}/man5/slapo-dynlist.5*

%files overlay-lastmod
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/lastmod*.so*
%{_libdir}/openldap/lastmod.la
%{_mandir}/man5/slapo-lastmod.5*

%files overlay-pcache
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/pcache*.so*
%{_libdir}/openldap/pcache.la
%{_mandir}/man5/slapo-pcache.5*

%files overlay-ppolicy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/ppolicy*.so*
%{_libdir}/openldap/ppolicy.la
%{_mandir}/man5/slapo-ppolicy.5*

%files overlay-refint
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/refint*.so*
%{_libdir}/openldap/refint.la
%{_mandir}/man5/slapo-refint.5*

%files overlay-retcode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/retcode*.so*
%{_libdir}/openldap/retcode.la
%{_mandir}/man5/slapo-retcode.5*

%files overlay-rwm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/rwm*.so*
%{_libdir}/openldap/rwm.la
%{_mandir}/man5/slapo-rwm.5*

%files overlay-syncprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/syncprov*.so*
%{_libdir}/openldap/syncprov.la
%{_mandir}/man5/slapo-syncprov.5*

%files overlay-translucent
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/translucent*.so*
%{_libdir}/openldap/translucent.la
%{_mandir}/man5/slapo-translucent.5*

%files overlay-unique
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/unique*.so*
%{_libdir}/openldap/unique.la
%{_mandir}/man5/slapo-unique.5*

%files overlay-valsort
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/valsort*.so*
%{_libdir}/openldap/valsort.la
%{_mandir}/man5/slapo-valsort.5*

%files servers
%defattr(644,root,root,755)
%dir %{_sysconfdir}/openldap/schema
%attr(640,root,slapd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/slapd.conf
%attr(640,root,slapd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/slapd.access.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/schema/*.schema
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ldap
%attr(754,root,root) /etc/rc.d/init.d/ldap
%attr(770,root,slapd) %{_var}/run/slapd
%attr(770,root,slapd) %{_localstatedir}/openldap-data
%attr(770,root,slapd) %{_localstatedir}/openldap-slurp
%dir %{_datadir}/openldap/schema
%{_datadir}/openldap/schema/*.ldif
%{_datadir}/openldap/schema/*.schema
%dir %{_libdir}/openldap/
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man5/slapd.*.5*
%{_mandir}/man5/slapd-ldif.5*
%{_mandir}/man5/slapd-null.5*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldap.spec,v $
Revision 1.236.2.11  2006/12/21 11:06:48  glen
- 2.3.31

Revision 1.236.2.10  2006/11/15 11:12:15  glen
- 2.3.30

Revision 1.236.2.9  2006/10/28 13:23:45  glen
- 2.3.28

Revision 1.236.2.8  2006/09/09 01:28:50  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.236.2.7  2006/08/22 16:52:36  glen
- update to 2.3.27

Revision 1.236.2.6  2006/08/01 08:47:22  glen
- pure chkconfig dep, rel 3

Revision 1.236.2.5  2006/07/18 11:31:47  glen
- updated config: add more moduleload directives as packages scripts depend directive being present; rel 2

Revision 1.236.2.4  2006/06/06 11:38:56  glen
- update from HEAD:
  - updated to 2.3.24
  - according to CHANGES slapd-ldif assert problem has been fixed (ITS#4568)

Revision 1.236.2.3  2006/05/28 11:20:14  glen
- typo, rel 2

Revision 1.236.2.2  2006/05/27 23:11:51  glen
- updated to 2.3.23 (fixes slurpd buffer overflow)

Revision 1.236.2.1  2006/05/27 10:33:21  qboosh
- disable epoll to get slapd running on Linux 2.4.x
- release 2

Revision 1.236  2006/04/17 14:02:05  qboosh
- updated to 2.3.21, package auditlog overlay

Revision 1.235  2006/04/14 15:25:10  glen
- rel 4

Revision 1.234  2006/03/12 17:54:18  glen
- conditional on %files is sufficent

Revision 1.233  2006/03/02 18:57:37  glen
- --with-ldbm-type is deprecated

Revision 1.232  2006/03/01 19:53:22  glen
- add ldaprc,setugid,nosql patches
- make depend is not jobserver safe
- rel 3

Revision 1.231  2006/03/01 18:46:18  glen
- trim buildroot from versioninfo

Revision 1.230  2006/02/28 11:17:51  glen
- package missing server tools (-install.patch)
- check files cleanup
- rel 2

Revision 1.229  2006/02/19 20:07:43  qboosh
- updated to 2.3.20

Revision 1.228  2006/02/06 17:23:52  glen
- blah, fix once again

Revision 1.227  2006/02/06 16:34:27  glen
- minimizing restarts logics (based on apache.spec)
- rel 2, STBR

Revision 1.226  2006/02/06 16:19:24  glen
- adapterised (killed prereq)

Revision 1.225  2006/02/06 16:10:06  glen
- typos and corrections

Revision 1.224  2006/02/06 15:35:00  glen
- use macros to minimize typos

Revision 1.223  2006/02/06 15:20:31  glen
- prevent upgrades removing modules from config

Revision 1.222  2006/01/29 22:16:54  qboosh
- updated to 2.3.19

Revision 1.221  2006/01/23 22:12:49  qboosh
- updated to 2.3.18

Revision 1.220  2006/01/16 17:35:09  baggins
- release 2

Revision 1.219  2006/01/16 17:22:48  baggins
- updated ldap.conf for current pam_ldap and co.

Revision 1.218  2006/01/16 16:52:58  baggins
- preun/post for overlays

Revision 1.217  2006/01/15 17:19:41  qboosh
- updated to 2.3.17

Revision 1.216  2006/01/10 19:52:31  qboosh
- updated to 2.3.16

Revision 1.215  2005/12/25 15:10:18  qboosh
- updated to 2.3.14

Revision 1.214  2005/12/22 22:06:57  qboosh
- -devel doesn't require db-devel now

Revision 1.213  2005/12/03 19:55:26  qboosh
- updated to 2.3.13

Revision 1.212  2005/11/27 01:20:41  qboosh
- updated to 2.3.12

Revision 1.211  2005/10/13 21:35:28  qboosh
- updated to 2.3.11

Revision 1.210  2005/09/23 21:50:00  pluto
- bump release for rebuild openldap/heimdal/cyrus/postrgesql/cvs loop.

Revision 1.209  2005/09/02 22:20:29  qboosh
- updated to 2.3.7, removed obsolete ac25x patch
- glue overlay have been merged into slapd core
- added -overlay-valsort

Revision 1.208  2005/08/28 13:08:38  wiget
- updated to 2.3.6

Revision 1.207  2005/08/15 15:19:20  qboosh
- updated to 2.3.5, updated make_man_link patch

Revision 1.206  2005/07/23 15:50:34  zbyniu
- now %preuns works; tabs in %posts

Revision 1.205  2005/07/22 06:41:05  qboosh
- separated backend-relay, fixed R(preun)

Revision 1.204  2005/07/21 21:56:39  qboosh
- some pl and cleanups

Revision 1.203  2005/07/20 10:56:29  zbyniu
- dozen new overlays, a little nfy (see TODO)

Revision 1.202  2005/07/20 05:53:28  qboosh
- updated to 2.3.4 (first public openldap 2.3 release; new sonames)
- updated install patch, removed obsolete nolibbind patch

Revision 1.201  2005/06/20 19:48:08  qboosh
- pl summary for -overlay-pcache

Revision 1.200  2005/06/19 10:38:45  zbyniu
- unadapterized CPPFLAGS path
- pl in overlay-pcache

Revision 1.199  2005/06/19 00:41:10  zbyniu
- added overlay-pcache package
- adapterized

Revision 1.198  2005/06/18 21:59:22  areq
- fix without-cyrus-sasl

Revision 1.197  2005/06/13 18:25:20  undefine
- up to 2.2.27

Revision 1.196  2005/06/08 18:27:05  jajcus
- Release: 3 STBR
- Added the important LICENSE file to %doc

Revision 1.195  2005/05/08 23:38:16  pluto
- release 2 for Th.

Revision 1.194  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.193  2005/04/29 20:56:27  qboosh
- updated to 2.2.26 (crash fixes)

Revision 1.192  2005/04/23 08:06:48  undefine
- up to 2.2.25

Revision 1.191  2005/03/31 06:52:37  mwinkler
- added missing sql exaples for backend-sql

Revision 1.190  2005/03/21 22:30:55  qboosh
- updated to 2.2.24
- lower db-devel deps to provide Ac updates and don't make HEAD outdated

Revision 1.189  2005/03/21 18:31:31  mmazur
- rel 2 for th

Revision 1.188  2005/03/21 18:22:42  mmazur
- Req from db-* not dbX.Y-* (dbX.Y.spec's provide db-*)

Revision 1.187  2005/03/19 19:58:10  mmazur
- req db4.3

Revision 1.186  2005/03/19 19:56:51  mmazur
- req db4.3

Revision 1.185  2005/01/24 22:24:01  qboosh
- updated md5

Revision 1.184  2005/01/24 22:03:55  undefine
- up to 2.2.23

Revision 1.183  2005/01/23 19:51:06  undefine
- up to 2.2.22

Revision 1.182  2005/01/23 01:09:38  qboosh
- updated to 2.2.21, removed obsolete mod patch

Revision 1.181  2005/01/07 00:48:11  glen
- O: openldap-clients

Revision 1.180  2005/01/04 22:24:19  undefine
- up to 2.2.20

Revision 1.179  2004/11/30 23:23:06  qboosh
- updated to 2.2.19 (bugfixes, db4.3 compat)

Revision 1.178  2004/11/28 15:44:07  ankry
- %postun may fail, partially reverted

Revision 1.177  2004/11/27 17:32:30  twittner
- %preun & %postun should never fail (said saq ?) - added || :

Revision 1.176  2004/11/20 20:34:03  radek
- BR: perl-devel if built with perl support

Revision 1.175  2004/11/20 20:31:58  radek
- release 2: backend-perl subpackage requires DynaLoader in version available at build time

Revision 1.174  2004/10/25 20:30:07  qboosh
- md5

Revision 1.173  2004/10/25 19:29:37  qboosh
- updated to 2.2.18 (bugfixes)

Revision 1.172  2004/10/12 12:35:25  ankry
- %groupremove/%userremove support, some standarization

Revision 1.171  2004/09/14 09:37:20  blues
- possible SECURITY note

Revision 1.170  2004/09/14 00:41:32  undefine
- update to 2.2.17

Revision 1.169  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.168  2004/08/05 09:07:32  undefine
- R: %{name} = %{version}-%{release} for openldap-servers (requires ucdata
  from openldap to run)

Revision 1.167  2004/07/31 00:18:25  qboosh
- updated to 2.2.15, updated install patch

Revision 1.166  2004/06/20 14:28:13  grzegol
- updated to 2.2.14

Revision 1.165  2004/05/14 14:37:15  twittner
- fixed spelling and grammar errors in my previous commitmessage.

Revision 1.164  2004/05/13 17:43:09  ankry
- spaces -> tabs, other cosmetics

Revision 1.163  2004/05/12 23:19:18  twittner
- added forgotten /var/run/slapd to install -d

Revision 1.162  2004/05/12 22:24:47  twittner
- added /var/run/slapd directory writeable by slapd due to
  open("/var/run/slapd.pid", ... = -1 EACCES (Permission denied)
  open("/var/run/slapd.args", ... -1 EACCES (Permission denied)

Revision 1.161  2004/05/10 03:56:13  twittner
- removed non-existent --enable-cache configure switch.

Revision 1.160  2004/04/28 22:42:42  undefine
- typos in post/preun backend-ldap
- release 2

Revision 1.159  2004/04/22 22:52:25  qboosh
- updated to 2.2.11

Revision 1.158  2004/04/18 10:23:37  qboosh
- updated to 2.2.10, updated install patch, added mod patch

Revision 1.157  2004/04/02 11:14:16  qboosh
- added ltinstall-mode patch to help rpm to find libs deps; release 2

Revision 1.156  2004/04/02 09:24:40  qboosh
- -libs R: cyrus-sasl >= 2.1.15

Revision 1.155  2004/04/02 09:22:24  qboosh
- updated BR cyrus-sasl to 2.1.15

Revision 1.154  2004/03/28 13:10:09  qboosh
- updated to 2.2.8 (soname has changed again, but is sane now and should be more stable)
- added install patch

Revision 1.153  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.152  2004/03/16 12:04:22  averne
- rel 1 for Ac

Revision 1.151  2004/03/11 15:26:15  wiget
- fixed typo
- release 0.3

Revision 1.150  2004/03/07 13:23:53  adgor
- Cosmetics

Revision 1.149  2004/03/07 13:17:13  adgor
- Separated -libs
- Release 0.3

Revision 1.148  2004/03/02 21:55:51  qboosh
- added pic patch (fixes build on alpha and possibly amd64); release 0.2

Revision 1.147  2004/02/28 16:56:05  qboosh
- updated to 2.2.6, updated config,ldapi_FHS patches
- use moduledir instead of moving from libexecdir (fixes lib64 issues)
- enabled ldap backend, added hdb backend, dropped db3 bcond
- release 0.1 (some crazy soname changes...)

Revision 1.146  2004/01/29 17:59:28  aredridel
- added R: %{name}-servers to all backends

Revision 1.145  2003/12/08 21:59:18  qboosh
- updated to 2.1.25, forced db 4.2

Revision 1.144  2003/12/05 17:15:33  mmazur
- rel1 to rebuild with new db (previoues rebuild didn't work :/

Revision 1.143  2003/12/02 16:18:45  mmazur
- rel 0.2 to rebuild with new db

Revision 1.142  2003/11/08 11:54:44  pius
- up to 2.1.23
- new bconds style

Revision 1.141  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.140  2003/07/20 14:34:43  qboosh
- 2.1.22

Revision 1.139  2003/06/04 10:02:45  misi3k
- updated to 2.1.21

Revision 1.138  2003/06/02 05:46:07  gotar
- s/_withtout_slp/_without_slp/

Revision 1.137  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.136  2003/05/25 05:51:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.135  2003/05/17 19:28:57  qboosh
- updated to 2.1.19

Revision 1.134  2003/04/17 16:02:27  wiget
- enable SLP support

Revision 1.133  2003/04/15 08:18:15  wiget
- updated to 2.1.17
- removed outdated sql and link_no_static patches
- added perl patch to build with perl 5.8.0

Revision 1.132  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.131  2003/02/14 23:32:53  qboosh
- use getent instead of su to get current home

Revision 1.130  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.129  2003/01/24 14:37:08  wiget
- release 2

Revision 1.128  2003/01/16 13:01:31  jajcus
- backend documentation moved to proper subpackages
- backend modules linked with requred libraries (-backend_libs.patch)

Revision 1.127  2003/01/14 07:26:44  trojan
- fixed %files (no need 755 for *.la)

Revision 1.126  2003/01/11 21:11:39  qboosh
- removed obsolete patches: secpatch,db41,no_libnsl
- it seems that libtool problem is fixed (at least on glibc 2.3.1 - tested
  with libtool 1.4.3 (supplied with openldap) and 1.4e snap, -lc isn't
  used when linking libraries) - so run libtoolize to place fixed libtool
  instead of hacking *.la (and leaving evil rpaths)
- added trigger for -servers to change slapd's home on upgrade
- fixed slurpd start in init script (slapd's shell is /bin/false, so use su -s)

Revision 1.125  2003/01/09 17:25:20  qboosh
- added nolibbind patch - check for res_query in -lresolv before in -lbind
- pl descriptions for -backend-* subpackages

Revision 1.124  2003/01/09 13:22:23  jajcus
- spec adapterized
- typos
- ignore ed's exit status in %post and %preun

Revision 1.123  2003/01/08 14:30:54  jajcus
- Upgrade to 2.1.12 (major change 2.0.x -> 2.1.x) NFY
  Most important changes:
  - several patches removed/commented-out
  - backends in subpackages
- administration guide removed (I am not sure about copyrights and the
  documentation included in the package seems good enough)

Revision 1.122  2002/12/09 15:28:29  qboosh
- secpatch is p0

Revision 1.121  2002/12/09 15:11:18  qboosh
- added secpatch patch from SuSE (buffer overflows etc.)

Revision 1.120  2002/11/25 12:51:49  qboosh
- s/_without_db/_with_db3/ (it's feature change, not just disabling)

Revision 1.119  2002/11/24 17:45:19  aflinta
- added sasl and odbc bconds
- release 3

Revision 1.118  2002/10/26 20:52:17  qboosh
- added db41 patch with db 4.1 compatibility fix (shouldn't break db3)
- fixed %pre servers, added %postun servers; more specific Requires()
- release 2

Revision 1.117  2002/10/20 22:09:34  kloczek
- updated to 2.0.27: bug fixes.

Revision 1.116  2002/07/31 18:52:15  qboosh
- really fixed doc

Revision 1.115  2002/07/31 13:00:50  kloczek
- release 4: fix %files list.

Revision 1.114  2002/07/27 20:43:21  kloczek
- release 3.

Revision 1.113  2002/07/24 10:14:19  qboosh
- BR: libltdl-devel

Revision 1.112  2002/07/05 08:22:49  jajcus
- Release: 2
- don't run autoconf/automake/libtool, these break slurpd (http://bugs.pld.org.pl/?bug=13)

Revision 1.111  2002/07/02 09:14:14  jajcus
- Version 2.0.25
- ldapi_FHS patch fixed
- new %doc compression

Revision 1.110  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.109  2002/05/21 23:14:18  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.108  2002/04/28 11:00:18  mkochano
- Release 6.
- BuildRequires: pam-devel
- Guilde html file replaced with tarball containing images. It is
  unpacked into %{_docdir}/guide.

Revision 1.107  2002/04/23 18:16:57  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.106  2002/04/19 06:47:04  kloczek
- typos.

Revision 1.105  2002/04/19 06:43:15  kloczek
- release 5: merge translations from KSI and new sendbuf patch (frm rawhide).

Revision 1.104  2002/04/18 12:57:01  jajcus
- dirty fix for MD5 {CRYPT} passwords problems (%{name}-crypt_lib_order.patch)

Revision 1.103  2002/04/18 11:32:27  jajcus
- Version: 2.0.23

Revision 1.102.2.2  2002/04/04 10:19:05  jajcus
- db3-patch is not needed any more

Revision 1.102.2.1  2002/04/02 13:56:16  jajcus
- Version: 2.0.23
- ldapi:/// socket moved to /var/run (was in /var/lib)
- NFY

Revision 1.102  2002/03/13 22:34:46  ankry
- removed rfc documents - leaved only their INDEX
- release 3

Revision 1.101  2002/02/25 16:08:11  qboosh
- changed localstatedir to /var/lib, added /var/lib/openldap-slurp dir to package

Revision 1.100  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.99  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.98  2002/01/19 14:06:04  mkochano
- s/%Install/%install/
  It looks like rpm doesn't care about case, but ./builder does.

Revision 1.97  2002/01/18 02:14:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.96  2002/01/18 00:57:56  kloczek
- release 2: s#db-devel#db3-devel# in Require rule in devel.

Revision 1.95  2002/01/17 22:38:59  filon
- updated to 2.0.21 - SECURITY FIXES, PLEASE UPDATE

Revision 1.94  2002/01/10 10:12:09  misiek
- For devel subpackage:
  Requires:       cyrus-sasl-devel
  Requires:       pam-devel
  Requires:       db-devel
  Requires:       openssl-devel
  (see libldap.la)

Revision 1.93  2001/12/22 19:56:14  blues
- corrected descriptions of packages (main package does NOT provide slapd)

Revision 1.92  2001/11/16 12:39:11  kura
- release 3
- added (noreplace) for slapd{,access}.conf

Revision 1.91  2001/11/09 19:10:19  kloczek
- release 2.

Revision 1.90  2001/11/09 18:19:05  bonkey
- added "-s /bin/false" to "useradd slapd" command

Revision 1.89  2001/11/05 20:54:38  qboosh
- avoid relinking libldap/libldap_r to allow build w/o openldap-devel installed

Revision 1.88  2001/11/02 10:41:40  jajcus
- Version: 2.0.18
- ac_fixes.patch removed --- it breaks autoconf

Revision 1.87  2001/10/08 19:14:52  filon
- s/plase/place/g (in confiuration files)
- release 4

Revision 1.86  2001/09/25 11:05:28  qboosh
- release 3: -servers Prereq: /sbin/chkconfig

Revision 1.85  2001/09/18 19:19:58  qboosh
- changed lt_fixes patch so rebuild doesn't need -devel already installed
- release 2

Revision 1.84  2001/09/17 12:30:18  qboosh
- removed English "es" translations

Revision 1.83  2001/09/16 15:37:38  kloczek
- added lt_fixes patch with fixes, simplifies and corrects using
  libtool abilities,
- removed chkconfig and added shadow in Prereq rules in server subpackage,
- cosmetics in translaions.

Revision 1.82  2001/09/13 20:07:14  kloczek
- updated to 2.0.14,
- added regenerate lt files,
- added ac/am/lt to BuildRequires,
- added "rm -f missing" on top %build,
- added ac_fixes patch with fix subtle bug which disallow regenerate ac
  files (was missing ONE closeing "]" :>).

Revision 1.81  2001/09/11 10:20:46  kloczek
- updated to 2.0.13,
- added no_nsl patch (remove checking for libnsl if enabled use libwrap),
- added regenerate ac/am files.
  NOTE: somewhere in ac suit is bug which causes fail on run configure script.

Revision 1.80  2001/08/12 19:25:54  qboosh
- removed pidfile patch (from rawhide) - it's buggy.
  It saves pid before fork - pid of process which won't exit after slapd start.
  Note that slapd itself has an option to save pid to file - but it doesn't
  work when slapd is run not as root (no +w perm in /var/run).
  For now - don't save pid file, let rc-scripts use pidof. Does someone have
  better idea?
- release 2

Revision 1.79  2001/08/10 22:16:38  blues
- configure2_13
- some translations

Revision 1.78  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.76  2001/05/27 12:57:25  kloczek
- updated to 2.0.11.

Revision 1.75  2001/05/22 05:12:12  kloczek
- updated to 2.0.10.

Revision 1.74  2001/05/19 04:30:08  kloczek
- updated to 2.0.9 (removed obsoleted ac patch).

Revision 1.73  2001/05/18 04:45:45  kloczek
- reelase 2: fixed %post, %postun scripts.

Revision 1.72  2001/05/11 16:00:22  misiek
- updated to 2.0.8
- removed obsolete (norbert) and added new (ac) patches

Revision 1.71  2001/05/08 21:16:28  kloczek
- release 16: rebuild against openssl 0.9.6a.

Revision 1.70  2001/04/28 09:09:04  kloczek
- relese 15,
- merge bunch patches from rawhode,
- more macros.

Revision 1.69  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.68  2000/12/21 18:38:05  kloczek
- added autoconf to BuildRequires list.

Revision 1.67  2000/11/08 11:23:55  wiget
- 2.0.7
- added openldap-sql.patch (fix typo in sql backend)
- more dynamic modules (dnsserv,ldap,sql)
- ldapfreindly file and ldif.5 manual moved to main package
- don't include *.schema.default in packages

Revision 1.66  2000/10/05 19:41:59  wiget
- modules back

Revision 1.65  2000/10/05 19:21:35  kloczek
- updated to 2.0.6.

Revision 1.64  2000/10/04 14:23:11  wiget
- modules support is disabled in this version :-(

Revision 1.63  2000/10/04 00:05:00  kloczek
- updated to 2.0.5,
- use rpm new automation suit.

Revision 1.62  2000/10/03 17:17:17  wiget
- If you don't like btree then build openldap with --define 'ldbm_api hash'

Revision 1.61  2000/10/02 16:02:12  wiget
- added 1 more BuildRequires
- set LDBM type to btree
- commented out GETADDRINFO hack (this work for me <only ldapi:/// not work>)

Revision 1.60  2000/10/02 12:15:04  jajcus
- db3 support (warning: conflicts with current libnss_db!)

Revision 1.59  2000/09/24 19:55:52  kloczek
- updated to 2.0.4.

Revision 1.58  2000/09/21 03:17:04  kloczek
- typo.

Revision 1.57  2000/09/21 02:42:32  kloczek
- s#mv #mv -f#.

Revision 1.56  2000/09/19 17:43:06  jajcus
- version 2.0.3

Revision 1.55  2000/09/11 09:31:03  jajcus
- use gdbm instead libdb (sasl is linked with gdbm anyway)
- "#undef HAVE_GETADDRINFO" --- slapd wont' start without this. This breaks IPv6 support
- "Run...." message fixed

Revision 1.54  2000/09/10 18:44:03  kloczek
- adapterized and fiew cosmetics.

Revision 1.53  2000/09/10 16:16:16  jajcus
- custom.schema -> local.schema, other schemas included in slapd.conf (as in
  OpenLDAP Administrators' Guide)
- /etc/openldap/secret file removed (as it is not used now).

Revision 1.52  2000/09/10 10:34:30  jajcus
- Release: 1
- "secretfile" patch removed
- /var/lib/openldap -> /var/lib/openldap-ldbm (as openldap default)
- slapd user and group

Revision 1.51  2000/09/07 12:08:05  jajcus
- version 2.0.1
- OpenLDAP Administrator Guide added
- MigrationTools and others should go to other package (maybe: ldapauth)
- NFY

Revision 1.50  2000/09/05 05:46:48  kloczek
- updated to 2.0.0
- release 0.1 - builds correctly but %install must be finishad.

Revision 1.49  2000/07/13 23:18:16  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.48  2000/06/12 15:15:20  wiget
- change ldbm location back to /var/lib/openldap

Revision 1.47  2000/06/09 13:43:06  kloczek
- updated to 1.2.11.

Revision 1.46  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.45  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.44  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.43  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.42  2000/04/10 08:25:44  wiget
1.2.10

Revision 1.41  2000/04/01 11:15:11  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.40  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.39  2000/03/03 00:12:59  kloczek
- typo in %post/%preun.

Revision 1.38  2000/03/02 22:18:18  kloczek
- standarized %post/%preun.

Revision 1.37  2000/03/02 17:59:24  wiget
1.2.9
- some fixes

Revision 1.36  2000/02/05 19:24:47  waszi
- small fixes

Revision 1.35  1999/11/16 17:17:12  kloczek
- release 3,
- build against ncurses 5.0.

Revision 1.34  1999/10/24 14:49:27  jajcus
- added ldapsetupdb script

Revision 1.33  1999/10/22 15:17:04  jajcus
- fixed conffile.patch
- added "secret file" support

Revision 1.32  1999/09/26 16:10:03  kloczek
- release 2.

Revision 1.31  1999/09/18 14:43:53  jajcus
- FHS 2.0 fixes:
  slapd.at.conf & slapd.oc.conf (which are not user-editable)
       -> /usr/share/openldap
  LDAP database -> /var/state/ldap
- RFC2307 object classes and attribute definitions added
- default root password locked - so noone can write LDAP database before
  proper password is defined

Revision 1.30  1999/09/11 14:58:25  jajcus
- version 1.2.7
- only servers subpackage requires rc-scripts

Revision 1.29  1999/09/11 13:56:04  misiek
- fixed requires (PR#46)

Revision 1.28  1999/09/10 12:16:51  jajcus
- /etc/openldap/ldap.conf -> /etc/ldap.conf

Revision 1.27  1999/09/10 10:17:51  jajcus
- change directory in config file, to the one in spec
- fixed migrate_passwd

Revision 1.26  1999/08/19 19:29:39  kloczek
- fix: check /var/lock/subsys/ldap on restart in %post,
- stop, start sequence replaced by restart.

Revision 1.25  1999/08/19 18:30:04  kloczek
- more rpm macros,
- fixes for correct placing config files (in /etc/openldap/),
- fixed rc script for ldap server.

Revision 1.24  1999/08/19 14:40:30  kloczek
- ldap-make_man_link.patch chganged to openldap-make_man_link.patch.

Revision 1.23  1999/08/19 14:39:15  kloczek
- updated to 1.2.6,
- added migrations tools (%{_datadir}/openldap/migration) which allow move
  some databases lik passwod, shadow and other to LDAP database,
- much beter fix for linked man pages (ldap-make_man_link.patch),
- added usung %configure macro,
- fixed sysconfigdir (in binaries; perious version have /etc/ldap/ldap),
- added --enable-passwd and --enable-shell to ./configure parameters,
- more %description for main.

Revision 1.22  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.21  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/19 22:20:54  kloczek
- updated to 1.2.4,
- release 0.1,
- removed all currently integrated in main stream patches (only man passed).

Revision 1.19  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.1-2]
- more fixes agains symlinks on man pages files,
- small fix in man pages about ability using ~/.ldaprc
  (openldap-man.patch),
- added BiolPrereq: libwrap (we ./configure --with-wrappers),
- fix for logging to LOG_DAEMON va syslogd (openldap-syslog.patch).

* Thu May  6 1999 Artur Frysiak <wiget@pld.org.pl>
- fixes agains symlinks on man pages files,
- added %{_target_platform} macro to ./configure parameters,
- fixed strdup macro owerwriting (openldap-strdup.patch).

* Thu Apr 22 1999 Arne Coucheron <arneco@online.no>
  [1.2.1-1]
- using %{name} and %{version} macros
- added -q parameter to %setup
- added URL tag
- using chkconfig to activate init script and added Prereq: for it
- devel package requires openldap
- fixed the path names in the man pages
- using %defattr in %files section
- simplified the use %files
- some changes in the init script (check that networking is up etc)
